use iced::{
    Alignment, Element,
    alignment::{Horizontal, Vertical},
    widget::{Column, Container},
};

use crate::ui::main_window::{MainWindowMsg, TabFrame};
pub struct HomePage {}

impl Default for HomePage {
    fn default() -> Self {
        Self {}
    }
}
impl HomePage {
    pub fn update(&mut self, msg: HomePageMsg) {
        match msg {
            HomePageMsg::Nothing => {
                println!("HomePage::Message::Nothing");
            }
        }
    }
}

#[derive(Debug, Clone)]
pub enum HomePageMsg {
    Nothing,
}

impl TabFrame for HomePage {
    type Message = MainWindowMsg;

    fn title(&self) -> String {
        "HomePage".to_owned()
    }

    fn tab_label(&self) -> iced_aw::TabLabel {
        iced_aw::TabLabel::Text("HomePage".to_owned())
    }

    fn container(&self) -> iced::Element<'_, Self::Message> {
        let content: Element<'_, HomePageMsg> = Container::new(
            Column::new()
                .align_x(Alignment::Center)
                .push(iced::widget::button("Homepage Button").on_press(HomePageMsg::Nothing)),
        )
        .align_x(Horizontal::Center)
        .align_y(Vertical::Center)
        .into();
        content.map(MainWindowMsg::HomePageMsg)
    }
}
